% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MRI.R
\name{MRI_AR1}
\alias{MRI_AR1}
\title{Create an AR(1) GLM model for fMRI data}
\usage{
MRI_AR1()
}
\value{
A list containing the model specifications
}
\description{
This function creates a model specification for MRI data with an AR(1) error structure.
The model includes beta parameters for the design matrix, a rho parameter for the
autocorrelation, and a standard deviation parameter for the noise.
}
\details{
The AR(1) model accounts for temporal autocorrelation in the data, where each timepoint
is correlated with the previous timepoint according to the rho parameter.
}
\examples{
# Create an AR(1) GLM model for fMRI data
model_spec <- MRI_AR1()

# Access model parameters
model_spec$p_types
}
